import { StoreAPI } from './useStore.js';
import { NostrStore } from '../schema/types.js';
import { Event, EventTemplate, Filter } from 'nostr-tools';
export declare function useClient({ store, setError, update }: StoreAPI<NostrStore>): {
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<EventTemplate>) => Promise<Event | undefined>;
        get: (filter: Filter) => Promise<Event | null>;
        list: (filters: Filter[]) => Promise<Event[]>;
        pub: (event: Event) => Promise<import("nostr-tools").Pub>;
        sub: (filters: Filter[]) => Promise<import("nostr-tools").Sub>;
    };
};
//# sourceMappingURL=useClient.d.ts.map